CUDNN Frontend API 8.3.0

Static Public Member Functions | List of all members
nlohmann::adl_serializer< ValueType, typename > Struct Template Reference

default JSONSerializer template argument More...

`#include <json.hpp>`

Collaboration diagram for nlohmann::adl_serializer< ValueType, typename >:

## Static Public Member Functions
template<typename BasicJsonType , typename TargetType = ValueType>
static auto | from_json (BasicJsonType &&j, TargetType &val) noexcept(noexcept(::nlohmann::from_json(std::forward< BasicJsonType >(j), val))) -> decltype(::nlohmann::from_json(std::forward< BasicJsonType >(j), val), void())
| convert a JSON value to any value type More...
template<typename BasicJsonType , typename TargetType = ValueType>
static auto | from_json (BasicJsonType &&j) noexcept(noexcept(::nlohmann::from_json(std::forward< BasicJsonType >(j), detail::identity_tag< TargetType > {}))) -> decltype(::nlohmann::from_json(std::forward< BasicJsonType >(j), detail::identity_tag< TargetType >
| convert a JSON value to any value type More...
template<typename BasicJsonType , typename TargetType = ValueType>
static auto | to_json (BasicJsonType &j, TargetType &&val) noexcept(noexcept(::nlohmann::to_json(j, std::forward< TargetType >(val)))) -> decltype(::nlohmann::to_json(j, std::forward< TargetType >(val)), void())
| convert any value type to a JSON value More...

## Detailed Description

### template<typename ValueType, typename>
struct nlohmann::adl_serializer< ValueType, typename >

default JSONSerializer template argument

This serializer ignores the template arguments and uses ADL (argument-dependent lookup) for serialization.

Definition at line 3353 of file json.hpp.

## Member Function Documentation

## ◆ from_json() [1/2]

template<typename ValueType , typename >
template<typename BasicJsonType , typename TargetType = ValueType>

static auto nlohmann::adl_serializer< ValueType, typename >::from_json | ( | BasicJsonType && | j,
|  | TargetType & | val
| ) |  | -> decltype(::nlohmann::from_json(std::forward<BasicJsonType>(j), val), void())
| inlinestaticnoexcept

convert a JSON value to any value type

This function is usually called by the `get()` function of the basic_json class (either explicit or via conversion operators).

Note
  This function is chosen for default-constructible value types.

Parameters

  [in] | j | JSON value to read from
  [in,out] | val | value to write to

Definition at line 4863 of file json.hpp.

References nlohmann::detail::from_json().

## ◆ from_json() [2/2]

template<typename ValueType , typename >
template<typename BasicJsonType , typename TargetType = ValueType>

static auto nlohmann::adl_serializer< ValueType, typename >::from_json | ( | BasicJsonType && | j | ) | -> decltype(::nlohmann::from_json(std::forward<BasicJsonType>(j), detail::identity_tag<TargetType>
| inlinestaticnoexcept

convert a JSON value to any value type

This function is usually called by the `get()` function of the basic_json class (either explicit or via conversion operators).

Note
  This function is chosen for value types which are not default-constructible.

Parameters

  [in] | j | JSON value to read from

Returns
  copy of the JSON value, converted to ValueType

Definition at line 4883 of file json.hpp.

References nlohmann::detail::from_json().

## ◆ to_json()

template<typename ValueType , typename >
template<typename BasicJsonType , typename TargetType = ValueType>

static auto nlohmann::adl_serializer< ValueType, typename >::to_json | ( | BasicJsonType & | j,
|  | TargetType && | val
| ) |  | -> decltype(::nlohmann::to_json(j, std::forward<TargetType>(val)), void())
| inlinestaticnoexcept

convert any value type to a JSON value

This function is usually called by the constructors of the basic_json class.

Parameters

  [in,out] | j | JSON value to write to
  [in] | val | value to read from

Definition at line 4900 of file json.hpp.

References nlohmann::detail::to_json().

The documentation for this struct was generated from the following file:

- json.hpp